## caret 4.83

=== DESCRIPTION ===
Package: caret
Version: 4.83
Date: 2011-03-31
Title: Classification and Regression Training
Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
        Williams, Chris Keefer and Allan Engelhardt
Description: Misc functions for training and plotting classification
        and regression models
Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster
URL: http://caret.r-forge.r-project.org/
Suggests: gbm, pls, mlbench, rpart, ellipse, ipred, klaR, randomForest,
        gpls, pamr, kernlab, mda, mgcv, nnet, class, MASS, mboost,
        earth (>= 2.2-3), party, ada, affy, proxy, e1071, grid,
        elasticnet, SDDA, caTools, RWeka (>= 0.4-1), superpc,
        penalized, sparseLDA (>= 0.1-1), spls, sda, glmnet, relaxo,
        lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, foreach, GAMens
        (>= 1.1.1), rocc, foba, partDSA, hda, fastICA, neuralnet,
        quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
        RANN, qrnn, Boruta, Hmisc
License: GPL-2
Packaged: 2011-04-01 02:36:45 UTC; kuhna03
Repository: CRAN
Date/Publication: 2011-04-01 06:27:21

## caret 4.85

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 4.83
-Date: 2011-03-31
+Version: 4.85
+Date: 2011-04-01
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -19,6 +19,6 @@
         quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
         RANN, qrnn, Boruta, Hmisc
 License: GPL-2
-Packaged: 2011-04-01 02:36:45 UTC; kuhna03
+Packaged: 2011-04-01 18:41:34 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-04-01 06:27:21
+Date/Publication: 2011-04-03 07:42:45

## caret 4.87

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 4.85
-Date: 2011-04-01
+Version: 4.87
+Date: 2011-04-27
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -17,8 +17,8 @@
         lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, foreach, GAMens
         (>= 1.1.1), rocc, foba, partDSA, hda, fastICA, neuralnet,
         quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
-        RANN, qrnn, Boruta, Hmisc
+        RANN, qrnn, Boruta, Hmisc, Cubist
 License: GPL-2
-Packaged: 2011-04-01 18:41:34 UTC; kuhna03
+Packaged: 2011-04-28 02:01:09 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-04-03 07:42:45
+Date/Publication: 2011-04-28 08:29:38

## caret 4.88

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 4.87
-Date: 2011-04-27
+Version: 4.88
+Date: 2011-04-28
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -19,6 +19,6 @@
         quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
         RANN, qrnn, Boruta, Hmisc, Cubist
 License: GPL-2
-Packaged: 2011-04-28 02:01:09 UTC; kuhna03
+Packaged: 2011-04-29 02:40:25 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-04-28 08:29:38
+Date/Publication: 2011-04-30 12:40:58

## caret 4.89

=== DESCRIPTION ===
Package: caret
Version: 4.89
Date: 2011-05-26
Title: Classification and Regression Training
Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
        Williams, Chris Keefer and Allan Engelhardt
Description: Misc functions for training and plotting classification
        and regression models
Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster
URL: http://caret.r-forge.r-project.org/
Suggests: gbm, pls, mlbench, rpart, ellipse, ipred, klaR, randomForest,
        gpls, pamr, kernlab, mda, mgcv, nnet, class, MASS, mboost,
        earth (>= 2.2-3), party (>= 0.9-99992), ada, affy, proxy,
        e1071, grid, elasticnet, SDDA, caTools, RWeka (>= 0.4-1),
        superpc, penalized, sparseLDA (>= 0.1-1), spls, sda, glmnet,
        relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, foreach,
        GAMens (>= 1.1.1), rocc, foba, partDSA, hda, fastICA,
        neuralnet, quantregForest, rda, HDclassif, LogicReg,
        LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist
License: GPL-2
Packaged: 2011-05-27 12:30:38 UTC; kuhna03
Repository: CRAN
Date/Publication: 2011-05-28 15:24:40

## caret 4.90

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 4.89
-Date: 2011-05-26
+Version: 4.90
+Date: 2011-06-01
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -19,6 +19,6 @@
         neuralnet, quantregForest, rda, HDclassif, LogicReg,
         LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist
 License: GPL-2
-Packaged: 2011-05-27 12:30:38 UTC; kuhna03
+Packaged: 2011-06-02 03:10:59 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-05-28 15:24:40
+Date/Publication: 2011-06-02 05:34:27

## caret 4.91

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 4.90
-Date: 2011-06-01
+Version: 4.91
+Date: 2011-07-09
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -17,8 +17,8 @@
         relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, foreach,
         GAMens (>= 1.1.1), rocc, foba, partDSA, hda, fastICA,
         neuralnet, quantregForest, rda, HDclassif, LogicReg,
-        LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist
+        LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst
 License: GPL-2
-Packaged: 2011-06-02 03:10:59 UTC; kuhna03
+Packaged: 2011-06-09 17:59:15 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-06-02 05:34:27
+Date/Publication: 2011-06-09 20:03:53

## caret 4.92

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 4.91
-Date: 2011-07-09
+Version: 4.92
+Date: 2011-07-05
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -17,8 +17,9 @@
         relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, foreach,
         GAMens (>= 1.1.1), rocc, foba, partDSA, hda, fastICA,
         neuralnet, quantregForest, rda, HDclassif, LogicReg,
-        LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst
+        LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst,
+        leaps
 License: GPL-2
-Packaged: 2011-06-09 17:59:15 UTC; kuhna03
+Packaged: 2011-07-06 03:30:36 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-06-09 20:03:53
+Date/Publication: 2011-07-06 18:56:10

## caret 4.98

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 4.92
-Date: 2011-07-05
+Version: 4.98
+Date: 2011-07-22
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -20,6 +20,6 @@
         LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst,
         leaps
 License: GPL-2
-Packaged: 2011-07-06 03:30:36 UTC; kuhna03
+Packaged: 2011-07-26 02:40:02 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-07-06 18:56:10
+Date/Publication: 2011-07-26 06:16:45

## caret 4.99

=== DESCRIPTION ===
Package: caret
Version: 4.99
Date: 2011-09-01
Title: Classification and Regression Training
Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
        Williams, Chris Keefer and Allan Engelhardt
Description: Misc functions for training and plotting classification
        and regression models
Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster, foreach
URL: http://caret.r-forge.r-project.org/
Suggests: gbm, pls, mlbench, rpart, ellipse, ipred, klaR, randomForest,
        gpls, pamr, kernlab, mda, mgcv, nnet, class, MASS, mboost,
        earth (>= 2.2-3), party (>= 0.9-99992), ada, affy, proxy,
        e1071, grid, elasticnet, SDDA, caTools, RWeka (>= 0.4-1),
        superpc, penalized, sparseLDA (>= 0.1-1), spls, sda, glmnet,
        relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, GAMens
        (>= 1.1.1), rocc, foba, partDSA, hda, fastICA, neuralnet,
        quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, doMC
License: GPL-2
Packaged: 2011-09-01 19:17:11 UTC; kuhna03
Repository: CRAN
Date/Publication: 2011-09-02 04:53:54

## caret 5.01-001

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: caret
-Version: 4.99
+Version: 5.01-001
 Date: 2011-09-01
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
@@ -17,8 +17,8 @@
         relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, GAMens
         (>= 1.1.1), rocc, foba, partDSA, hda, fastICA, neuralnet,
         quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
-        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, doMC
+        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps
 License: GPL-2
-Packaged: 2011-09-01 19:17:11 UTC; kuhna03
+Packaged: 2011-09-02 14:09:50 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-09-02 04:53:54
+Date/Publication: 2011-09-02 18:25:30

## caret 5.02-011

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.01-001
-Date: 2011-09-01
+Version: 5.02-011
+Date: 2011-09-08
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -17,8 +17,8 @@
         relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, GAMens
         (>= 1.1.1), rocc, foba, partDSA, hda, fastICA, neuralnet,
         quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
-        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps
+        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF
 License: GPL-2
-Packaged: 2011-09-02 14:09:50 UTC; kuhna03
+Packaged: 2011-09-19 16:28:53 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-09-02 18:25:30
+Date/Publication: 2011-09-19 18:40:30

## caret 5.03-003

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.02-011
-Date: 2011-09-08
+Version: 5.03-003
+Date: 2011-09-23
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -19,6 +19,6 @@
         quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
         RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF
 License: GPL-2
-Packaged: 2011-09-19 16:28:53 UTC; kuhna03
+Packaged: 2011-09-23 16:55:38 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-09-19 18:40:30
+Date/Publication: 2011-09-24 06:41:59

## caret 5.04-007

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.03-003
-Date: 2011-09-23
+Version: 5.04-007
+Date: 2011-09-26
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -17,8 +17,8 @@
         relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, GAMens
         (>= 1.1.1), rocc, foba, partDSA, hda, fastICA, neuralnet,
         quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
-        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF
+        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF, rrlda
 License: GPL-2
-Packaged: 2011-09-23 16:55:38 UTC; kuhna03
+Packaged: 2011-09-26 17:42:44 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-09-24 06:41:59
+Date/Publication: 2011-09-27 03:31:36

## caret 5.05.004

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.04-007
-Date: 2011-09-26
+Version: 5.05.004
+Date: 2011-10-11
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -17,8 +17,9 @@
         relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr, GAMens
         (>= 1.1.1), rocc, foba, partDSA, hda, fastICA, neuralnet,
         quantregForest, rda, HDclassif, LogicReg, LogicForest, logicFS,
-        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF, rrlda
+        RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF,
+        rrlda, evtree
 License: GPL-2
-Packaged: 2011-09-26 17:42:44 UTC; kuhna03
+Packaged: 2011-10-11 14:21:48 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-09-27 03:31:36
+Date/Publication: 2011-10-11 15:50:33

## caret 5.6.1.3~dfsg.1

=== Makefile ===
SHELL	= /bin/sh

PROGS	= caret \
	  caret_command \
	  caret_edit 

LIBS	= \
	  caret_statistics \
	  caret_common \
	  caret_files \
	  caret_brain_set \
	  caret_command_operations \
	  caret_uniformize \
	  caret_widgets \
	  caret_vtk4_classes

DIRS	= $(LIBS) $(PROGS)

all:
	@echo ""
	@echo ""
	@echo "Use \"make qmake-static\" to create the makefiles with static libraries."
	@echo "Use \"make qmake-dynamic\" to create the makefiles with dynamic libraries."
	@echo "Use \"make build\" to build the libraries and executables."
	@echo "Use \"make clean\" to remove executables, libraries, and objects."
	@echo ""
	@echo "Use \"make doc\" to build the Doxygen generated documentation."
	@echo ""

doc:
	doxygen Doxyfile

build:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make ; \
	   cd .. ; \
	done

build8:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make -j 8; \
	   cd .. ; \
	done

build4:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make -j 4; \
	   cd .. ; \
	done

build2:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make -j 2; \
	   cd .. ; \
	done

clean:
	@for i in ${DIRS} ; do \
	   echo "cleaning " $$i ; \
	   cd $$i ; \
	   make clean ; \
	   cd .. ; \
	done

qmake-static:
	@for i in ${LIBS} ; do \
	   echo "creating makefile for static libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake ; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake ; \
	   cd .. ; \
	done

qmake-dynamic:
	@for i in ${LIBS} ; do \
	   echo "creating makefile for dynamic libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG+=dll"; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake ; \
	   cd .. ; \
	done
	
rebuild:
	make qmake-static
	make build
	
rebuild8:
	make qmake-static
	make build8
	
rebuild4:
	make qmake-static
	make build4
	
rebuild2:
	make qmake-static
	make build2
	
check_env:
	@cnt=""
	@if [ "${VTK_INC_DIR}" == "" ]; then \
          echo "Environment variable VTK_INC_DIR not set" ; \
	  cnt="1" ; \
	fi ;  
	@if [ "${VTK_LIB_DIR}" == "" ]; then \
          echo "Environment variable VTK_LIB_DIR not set" ; \
	  cnt="1" ; \
	fi ;  
	@if [ "${NETCDF_INC_DIR}" == "" ]; then \
          echo "Environment variable NETCDF_INC_DIR not set" ; \
	  cnt="1" ; \
	fi ;  
	@if [ "${NETCDF_LIB_DIR}" == "" ]; then \
          echo "Environment variable NETCDF_LIB_DIR not set" ; \
	  cnt="1" ; \
	fi ;  

#	@if [ "$cnt" != "" ]; then \
#	   echo "Required environment variables are not set" ; \
#	fi ; 

test2:
	@for i in ${DIRS} ; do \
	   echo "testing..." ; \
	   cd $$i ; \
	   pwd ; \
	   cd .. ; \
	done

## caret 5.6.4~dfsg.1

=== Makefile ===
SHELL	= /bin/sh

PROGS_CMD = caret_command

PROGS_GUI = \
	  caret \
	  caret_edit 

PROGS	= $(PROGS_CMD) \
	  $(PROGS_GUI)

UBUNTULIBS	= \
	  caret_statistics \
	  caret_common \
	  caret_files \
	  caret_brain_set \
	  caret_command_operations \
	  caret_uniformize \
	  caret_widgets \
	  caret_cifti

LIBS = $(UBUNTULIBS) caret_vtk4_classes

DIRS	= $(LIBS) $(PROGS)
DIRS_NO_GUI = $(LIBS) $(PROGS_CMD)
UBUNTUDIRS = $(UBUNTULIBS) $(PROGS)

all:
	@echo ""
	@echo ""
	@echo "Use \"make qmake-debug\"\n     to create the makefiles with static libraries for debug."
	@echo "Use \"make qmake-debug-dynamic\"\n     to create the makefiles with dynamic libraries for debug."
	@echo "Use \"make qmake-profile\"\n     to create the makefiles with static libraries for profiling/debugging."
	@echo "Use \"make qmake-profile-dynamic\" \n     to create the makefiles with dynamic libraries for profiling/debugging."
	@echo "Use \"make qmake-release\"\n     to create the makefiles with static libraries for release."
	@echo "Use \"make qmake-release-dynamic\"\n     to create the makefiles with dynamic libraries for release."
	@echo "Use \"make build\"\n     to build the libraries and executables."
	@echo "Use \"make clean\"\n     to remove executables, libraries, and objects."
	@echo ""
	@echo "Use \"make doc\" to build the Doxygen generated documentation."
	@echo ""

doc:
	doxygen Doxyfile

build:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make ; \
	   cd .. ; \
	done

build16:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make -j 16; \
	   cd .. ; \
	done

build8:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make -j 8; \
	   cd .. ; \
	done

build4:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make -j 4; \
	   cd .. ; \
	done

build2:
	@for i in ${DIRS} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make -j 2; \
	   cd .. ; \
	done



build-no-gui:
	@for i in ${DIRS_NO_GUI} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make ; \
	   cd .. ; \
	done

build4-no-gui:
	@for i in ${DIRS_NO_GUI} ; do \
	   echo "making " $$i ; \
	   cd $$i ; \
	   make -j 4; \
	   cd .. ; \
	done


clean:
	@for i in ${DIRS} ; do \
	   echo "cleaning " $$i ; \
	   cd $$i ; \
	   make clean ; \
	   cd .. ; \
	done

distclean:
	@for i in ${DIRS} ; do \
	   echo "cleaning " $$i ; \
	   cd $$i ; \
	   make distclean ; \
	   cd .. ; \
	done

qmake-debug:
	@for i in ${LIBS} ; do \
	   echo "creating debug makefile for static libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG += debug"; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating debug makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG += debug"; \
	   cd .. ; \
	done

qmake-debug-dynamic:
	@for i in ${LIBS} ; do \
	   echo "creating makefile for static libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG += debug dll"; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG += debug dll"; \
	   cd .. ; \
	done

qmake-release:
	@for i in ${LIBS} ; do \
	   echo "creating makefile for static libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG -= debug" "CONFIG += release"; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG -= debug" "CONFIG += release"; \
	   cd .. ; \
	done

qmake-release-dynamic:
	@for i in ${LIBS} ; do \
	   echo "creating makefile for dynamic libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG -= debug" "CONFIG += release dll" "CONFIG -= staticlib"; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG -= debug" "CONFIG += release dll"; \
	   cd .. ; \
	done

qmake-profile:
	@for i in ${LIBS} ; do \
	   echo "creating makefile for dynamic libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG += debug profile"; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG += debug profile"; \
	   cd .. ; \
	done
        
qmake-profile-dynamic:
	@for i in ${LIBS} ; do \
	   echo "creating makefile for dynamic libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG += debug profile dll" "CONFIG -= staticlib"; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG += debug profile dll"; \
	   cd .. ; \
	done

ubuntu:
	@for i in ${UBUNTULIBS} ; do \
	   echo "creating makefile for dynamic libs with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG -= debug" "CONFIG += release ubuntu dll"; \
	   cd .. ; \
	done
	@for i in ${PROGS} ; do \
	   echo "creating makefile with qmake for " $$i ; \
	   cd $$i ; \
	   qmake "CONFIG -= debug" "CONFIG += release ubuntu dll"; \
	   cd .. ; \
	done
	
rebuild:
	make qmake-debug
	make build
	
rebuild16:
	make qmake-debug
	make build16

rebuild8:
	make qmake-debug
	make build8
	
rebuild4:
	make qmake-debug
	make build4
	
rebuild2:
	make qmake-debug
	make build2
	
check_env:
	@cnt=""
	@if [ "${VTK_INC_DIR}" == "" ]; then \
          echo "Environment variable VTK_INC_DIR not set" ; \
	  cnt="1" ; \
	fi ;  
	@if [ "${VTK_LIB_DIR}" == "" ]; then \
          echo "Environment variable VTK_LIB_DIR not set" ; \
	  cnt="1" ; \
	fi ;  
	@if [ "${NETCDF_INC_DIR}" == "" ]; then \
          echo "Environment variable NETCDF_INC_DIR not set" ; \
	  cnt="1" ; \
	fi ;  
	@if [ "${NETCDF_LIB_DIR}" == "" ]; then \
          echo "Environment variable NETCDF_LIB_DIR not set" ; \
	  cnt="1" ; \
	fi ;  

#	@if [ "$cnt" != "" ]; then \
#	   echo "Required environment variables are not set" ; \
#	fi ; 

test:
	echo "Testing" ; \
	cd testing ; \
	./run_test.sh ; \
	cd .. ;

=== flat_fluid/Makefile ===
SHELL=/bin/sh
HOST_TYPE_NAME=`uname -s`



all:
	@case $(HOST_TYPE_NAME) in \
	   IRIX|IRIX64) \
	      echo "SGI SYSTEM !!!" ; \
	      make -f Makefile.sgi ;; \
	   Linux) \
	      echo "Linux SYSTEM !!!" ; \
	      make -f Makefile.linux ;; \
	   FreeBSD) \
	      echo "FreeBSD SYSTEM !!!" ; \
	      make -f Makefile.FreeBSD ;; \
	   SunOS) \
	      echo "Sun SYSTEM !!!" ; \
	      make -f Makefile.sun ;; \
	   Darwin) \
	      echo "Mac OSX SYSTEM !!!" ; \
	      make -f Makefile.osx ;; \
	   *) \
	      echo "ERROR: Unknown System " $(HOST_TYPE_NAME) ; \
	      echo "   You will need to create a new Makefile" ; \
	esac

=== debian/changelog ===
caret (5.6.4~dfsg.1-3ubuntu3) saucy; urgency=low

  * Rebuild for libminc2-1 -> libminc2-3 transition.

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 02 Sep 2013 15:22:36 +0200

caret (5.6.4~dfsg.1-3ubuntu2) quantal; urgency=low

  * debian/patches/qwt6-linking:
    Also replace -lqwt-qt4 with -lqwt in caret/caret5.pro

 -- Michael Bienia <geser@ubuntu.com>  Thu, 27 Sep 2012 11:42:13 +0200

caret (5.6.4~dfsg.1-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libqwt-dev instead of libqwt5-qt4-dev as part of qwt6
      transition
    - Add debian/patches/qwt6-linking and update no_undefineds to fix link
      target for qwt6

 -- Michael Bienia <geser@ubuntu.com>  Wed, 26 Sep 2012 11:59:25 +0200

caret (5.6.4~dfsg.1-3) unstable; urgency=low

  * Add patch to properly link against libGLU. Thanks to Nicolas Bourdaud
    for the patch (Closes: #672020).

 -- Michael Hanke <mih@debian.org>  Fri, 18 May 2012 13:35:38 +0200

caret (5.6.4~dfsg.1-2) unstable; urgency=low

  * Add patch to support HURD as well.
  * Rename custom rules targets to avoid conflict with standard names,
    such as build-arch (Closes: #666376).
  * Added dummy targets build-arch and build-indep to debian/rules.
  * Bumped Standards-Version to 3.9.3, no changes necessary.
  * Removed DM-Upload flag, no longer necessary.
  * Install icon for Caret (Closes: #639973).
  * Remove backport patch for wheezy -- it has libqtassistantclient-dev now.

 -- Michael Hanke <mih@debian.org>  Wed, 11 Apr 2012 20:38:22 +0200

caret (5.6.4~dfsg.1-1ubuntu3) precise; urgency=low

  * Fix FTBFS, adding glu.h and -lGLU where necessary.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 05 Feb 2012 09:46:16 +0400

caret (5.6.4~dfsg.1-1ubuntu2) precise; urgency=low

  * No change rebuild for vtk transition.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 21 Dec 2011 18:14:46 +0530

caret (5.6.4~dfsg.1-1ubuntu1) oneiric; urgency=low

  * Build-depend on libqwt-dev instead of libqwt5-qt4-dev as part of qwt6
    transition
  * Add debian/patches/qwt6-linking and update no_undefineds to fix link target
    for qwt6

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Aug 2011 17:15:54 -0400

caret (5.6.4~dfsg.1-1build1) oneiric; urgency=low

  * No-change rebuild for VTK 5.6.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 12 Jun 2011 13:45:12 +0200

caret (5.6.4~dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Adjusted packaging and patches for Cifti library addition.

 -- Michael Hanke <mih@debian.org>  Sat, 04 Jun 2011 19:15:58 -0400

caret (5.6.2~dfsg.1-3) unstable; urgency=low

  * Remove dysfunctional --no-undefined linker option.
  * Add patch to add header include required by GCC 4.6 (Closes: #625110).

 -- Michael Hanke <mih@debian.org>  Sat, 07 May 2011 12:47:02 -0400

caret (5.6.2~dfsg.1-2) unstable; urgency=low

  * Added patch to fix a FTBFS on kFreeBSD due to changes in the way Qt
    handles platform defines (i.e. Q_OS_GLIBC -> Q_OS_FREEBSD_KERNEL).
    Closes: #618645
  * Move Caret into the "science" section of the menu (LP: #680495).

 -- Michael Hanke <mih@debian.org>  Fri, 15 Apr 2011 16:21:10 -0400

caret (5.6.2~dfsg.1-1) unstable; urgency=low

  * New upstream release. Merged most patches. Thanks to John Harwell and
    Jon Schindler.
  * Switch the source package format 3.0 (quilt). Moved remaining patch under
    quilt's arms.
  * Bumped Standards-Version to 3.9.1, no changes necessary.
  * Changed maintainer to NeuroDebian team.
  * Updated debian/copyright.
  * Improved package description to mention unavailable functionality when
    the caret-data package is missing.
  * Addressed upstream's concerns about support for the Debian package, by a)
    adding a patch that clearly identifies Caret as a Debian build and b) put
    explicit support information into README.Debian.
  * Patch upstream's "this is not a supported version" dialog on application
    startup to show information on missing functionality and how to obtain
    the missing pieces. Moreover, this dialog won't be displayed when all
    relevant data files are found on a particular system to keep the
    nuisance-level low.
  * Address removal of QAssistantClient() from Qt 4.7 by adjusting
    dependencies accordingly (Closes: #588977). Thanks to Alex Valavanis
    and for the report and patch.
  * Fix FTBFS due to underspecified linking for internal libraries
    (Closes: #554061).

 -- Michael Hanke <mih@debian.org>  Sun, 13 Mar 2011 13:32:13 -0400

caret (5.6.1.3~dfsg.1-2) unstable; urgency=low

  * Add slightly modified patch to address FTBFS on kFreeBSD originally
    provided by Cyril Brulebois -- Thanks (Closes: #575235).

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 25 Mar 2010 09:08:10 -0400

caret (5.6.1.3~dfsg.1-1) unstable; urgency=low

  * New upstream release. Still no upstream support for VTK 5.2 (or later).
  * Applied patch for compatibility with GCC 4.4 (Closes: #525789).
    Thanks to Martin Michlmayr.
  * Add fixes for compatibility with VTK 5.2 (Closes: #520701, #520867).
  * Bumped Standards-Version to 3.8.4 -- no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 22 Mar 2010 20:46:27 -0400

caret (5.6.1~dfsg.1-4) unstable; urgency=low

  * Clarify copyright statement of the pieces of the Caret sources that have
    been derived from AFNI, after checking with ftp-masters (Closes: #518688).

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 21 Mar 2009 19:02:39 +0100

caret (5.6.1~dfsg.1-3) unstable; urgency=low

  * Reverse the order of the build-dependency alternatives on libqt4 and
    libqt4-opengl-dev. The reason is that sbuild currently only considers
    the first alternative (see #403246), and hence the package FTBFS on the
    buildds. The alternative on libqt4-dev 4.3 is kept in the package as it
    allows to easily build backports on etch systems. (Closes: #519270).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 11 Mar 2009 18:42:13 +0100


=== debian/control ===
Source: caret
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.3), libqt4-opengl-dev | libqt4-dev (<< 4.4.0), libqwt-dev, libvtk5-dev, libminc-dev, libqtassistantclient-dev, libpng12-dev | libpng-dev, libglu1-mesa-dev
Standards-Version: 3.9.3
Homepage: http://brainvis.wustl.edu/wiki/index.php/Caret:About
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/caret.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/caret.git

Package: caret
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: qt-assistant-compat
Suggests: caret-data (>= 5.6.2~dfsg.1~)
Description: Computerized Anatomical Reconstruction and Editing Toolkit
 This software allows for creating, viewing and manipulating surface
 reconstructions of the cerebral and cerebellar cortex, viewing volumes and for
 displaying experimental data on the surfaces and volumes. While Caret is
 primarily a GUI application with 'caret_command' there is also a versatile
 command line tool, that allows access to a substantial proportion of Caret's
 functionality.
 .
 Caret can download and use stereotaxic atlases (human, monkey, mouse and rat)
 from an open online database.
 .
 Some functionality of Caret is only available when additional data files,
 provided by the caret-data package, are available. This includes:
 .
  - Map volumes to surface via PALS atlas
  - Multi-resolution morphing
  - Projection of foci via PALS atlas
  - Surface-based registration
  - Surface flattening
 .
 Currently the caret-data package is only available from the NeuroDebian
 repository. Please see http://neuro.debian.net for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# build identifier
BUILD_ID = $(shell cut -d ' ' -f 1,1 < /etc/issue.net)_$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# caret build depends on some env vars
export VTK_INC_DIR=$(shell dirname $$(find /usr/include/ -type f -name vtkConfigure.h | head -n1))
export VTK_LIB_DIR=/usr/lib
export QWT_INC_DIR=/usr/include/qwt-qt4
export QWT_LIB_DIR=/usr/lib
export NETCDF_INC_DIR=/usr/include
export NETCDF_LIB_DIR=/usr/lib
export QTDIR=/usr

CARET_APPS="caret caret_command"
CXXFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif


caretcfg-%:
	@echo "Configuring: '$*'"
	cd $* && qmake-qt4 "CONFIG+=release ubuntu dll" \
	                   "QMAKE_CXXFLAGS_RELEASE=$(CXXFLAGS) -DCARET_BUILDID=\"$(BUILD_ID)\"" \
	                   "QMAKE_LFLAGS_RELEASE += -Wl,--as-needed" \
	                   "CONFIG -= profile"


caretbuild-%:
	@echo "Building: '$*'"
	cd $* && make


caretclean-%:
	@echo "Cleaning: '$*'"
	# ignore when there is no Makefile
	-cd $* && make clean
	-cd $* && rm Makefile


configure: configure-stamp
configure-stamp: caretcfg-caret_statistics caretcfg-caret_common caretcfg-caret_brain_set \
                 caretcfg-caret_command_operations caretcfg-caret_files caretcfg-caret_cifti \
                 caretcfg-caret_uniformize caretcfg-caret_widgets caretcfg-caret \
                 caretcfg-caret_command
	dh_testdir
	touch $@


build: build-stamp
build-stamp: configure \
             caretbuild-caret_statistics caretbuild-caret_common \
             caretbuild-caret_uniformize caretbuild-caret_widgets caretbuild-caret_files \
             caretbuild-caret_brain_set caretbuild-caret_cifti caretbuild-caret_command_operations \
             caretbuild-caret caretbuild-caret_command
	dh_testdir
	touch $@


clean: caretclean-caret_statistics caretclean-caret_common caretclean-caret_brain_set \
       caretclean-caret_command_operations caretclean-caret_cifti caretclean-caret_files \
       caretclean-caret_uniformize caretclean-caret_widgets caretclean-caret \
       caretclean-caret_command
	dh_testdir
	dh_testroot
	-find . -name '*.so' -exec rm '{}' \;
	-rm caret/caret5 caret_command/caret_command
	rm -f build-stamp configure-stamp
	
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	# install internal libs
	find $(CURDIR) -name '*.so' -exec cp \{\} $(CURDIR)/debian/caret/usr/lib/caret/lib \;
	
	# install binaries
	cp caret/caret5 caret_command/caret_command $(CURDIR)/debian/caret/usr/lib/caret/bin
	
	# ensure executable permissions for wrapper script
	chmod +x debian/caret_app_wrapper


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installmenu
	dh_installman
	dh_desktop
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -lcaret_brain_set:caret_command_operations:caret_uniformize:caret_widgets:caret_common:caret_files:caret_statistics:caret_cifti
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## caret 5.07-001

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.05.004
-Date: 2011-10-11
+Version: 5.07-001
+Date: 2011-10-21
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -20,6 +20,6 @@
         RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF,
         rrlda, evtree
 License: GPL-2
-Packaged: 2011-10-11 14:21:48 UTC; kuhna03
+Packaged: 2011-10-21 17:32:44 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-10-11 15:50:33
+Date/Publication: 2011-10-23 10:08:46

## caret 5.07-005

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Package: caret
-Version: 5.07-001
-Date: 2011-10-21
+Version: 5.07-005
+Date: 2011-11-07
 Title: Classification and Regression Training
-Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
-        Williams, Chris Keefer and Allan Engelhardt
-Description: Misc functions for training and plotting classification
-        and regression models
+Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre Williams, Chris Keefer and Allan Engelhardt
+Description: Misc functions for training and plotting classification and regression models
 Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
 Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster, foreach
 URL: http://caret.r-forge.r-project.org/
@@ -20,6 +18,6 @@
         RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF,
         rrlda, evtree
 License: GPL-2
-Packaged: 2011-10-21 17:32:44 UTC; kuhna03
+Packaged: 2011-11-08 02:56:38 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-10-23 10:08:46
+Date/Publication: 2011-11-08 06:54:35

## caret 5.07-024

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.07-005
-Date: 2011-11-07
+Version: 5.07-024
+Date: 2011-11-13
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre Williams, Chris Keefer and Allan Engelhardt
 Description: Misc functions for training and plotting classification and regression models
@@ -18,6 +18,6 @@
         RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF,
         rrlda, evtree
 License: GPL-2
-Packaged: 2011-11-08 02:56:38 UTC; kuhna03
+Packaged: 2011-11-14 15:26:50 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-11-08 06:54:35
+Date/Publication: 2011-11-14 19:01:04

## caret 5.08-011

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.07-024
-Date: 2011-11-13
+Version: 5.08-011
+Date: 2011-11-24
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre Williams, Chris Keefer and Allan Engelhardt
 Description: Misc functions for training and plotting classification and regression models
@@ -18,6 +18,6 @@
         RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF,
         rrlda, evtree
 License: GPL-2
-Packaged: 2011-11-14 15:26:50 UTC; kuhna03
+Packaged: 2011-11-25 01:56:40 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-11-14 19:01:04
+Date/Publication: 2011-11-25 07:12:46

## caret 5.09-006

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.08-011
-Date: 2011-11-24
+Version: 5.09-006
+Date: 2011-12-6
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre Williams, Chris Keefer and Allan Engelhardt
 Description: Misc functions for training and plotting classification and regression models
@@ -18,6 +18,6 @@
         RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps, obliqueRF,
         rrlda, evtree
 License: GPL-2
-Packaged: 2011-11-25 01:56:40 UTC; kuhna03
+Packaged: 2011-12-06 16:19:31 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2011-11-25 07:12:46
+Date/Publication: 2011-12-07 10:13:55

## caret 5.09-012

=== DESCRIPTION ===
Package: caret
Version: 5.09-012
Date: 2011-12-10
Title: Classification and Regression Training
Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre Williams, Chris Keefer and Allan Engelhardt
Description: Misc functions for training and plotting classification and regression models
Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster, foreach
URL: http://caret.r-forge.r-project.org/
Suggests: gbm, pls, mlbench, rpart, ellipse, ipred, klaR, randomForest,
        gpls, pamr, kernlab, mda, mgcv, nnet, class, MASS, mboost,
        earth (>= 2.2-3), party (>= 0.9-99992), ada, affy, proxy,
        e1071, grid, elasticnet, SDDA, caTools, RWeka (>= 0.4-1),
        superpc, penalized, sparseLDA (>= 0.1-1), spls, sda, glmnet (>=
        1.7.1), relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr,
        GAMens (>= 1.1.1), rocc, foba, partDSA, hda, fastICA,
        neuralnet, quantregForest, rda, HDclassif, LogicReg,
        LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst,
        leaps, obliqueRF, rrlda, evtree
License: GPL-2
Packaged: 2011-12-10 21:56:34 UTC; kuhna03
Repository: CRAN
Date/Publication: 2011-12-11 10:41:21

## caret 5.10-13

=== DESCRIPTION ===
Package: caret
Version: 5.10-13
Date: 2012-01-02
Title: Classification and Regression Training
Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre Williams, Chris Keefer and Allan Engelhardt
Description: Misc functions for training and plotting classification and regression models
Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster, foreach,
        pROC
URL: http://caret.r-forge.r-project.org/
Suggests: gbm, pls, mlbench, rpart, ellipse, ipred, klaR, randomForest,
        gpls, pamr, kernlab, mda, mgcv, nnet, class, MASS, mboost,
        earth (>= 2.2-3), party (>= 0.9-99992), ada, affy, proxy,
        e1071, grid, elasticnet, SDDA, caTools, RWeka (>= 0.4-1),
        superpc, penalized, sparseLDA (>= 0.1-1), spls, sda, glmnet (>=
        1.7.1), relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr,
        GAMens (>= 1.1.1), rocc, foba, partDSA, hda, fastICA,
        neuralnet, quantregForest, rda, HDclassif, LogicReg,
        LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst,
        leaps, obliqueRF, rrlda, evtree, penalizedLDA, rFerns
License: GPL-2
Packaged: 2012-01-03 18:59:12 UTC; kuhna03
Repository: CRAN
Date/Publication: 2012-01-04 06:20:58

## caret 5.11-06

=== DESCRIPTION ===
Package: caret
Version: 5.11-06
Date: 2012-01-12
Title: Classification and Regression Training
Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
        Williams, Chris Keefer and Allan Engelhardt
Description: Misc functions for training and plotting classification
        and regression models
Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster, foreach
URL: http://caret.r-forge.r-project.org/
Suggests: gbm, pls, mlbench, rpart, ellipse, ipred, klaR, randomForest,
        gpls, pamr, kernlab, mda, mgcv, nnet, class, MASS, mboost,
        earth (>= 2.2-3), party (>= 0.9-99992), ada, affy, proxy,
        e1071, grid, elasticnet, SDDA, caTools, RWeka (>= 0.4-1),
        superpc, penalized, sparseLDA (>= 0.1-1), spls, sda, glmnet (>=
        1.7.1), relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr,
        GAMens (>= 1.1.1), rocc, foba, partDSA, hda, fastICA,
        neuralnet, quantregForest, rda, HDclassif, LogicReg,
        LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst,
        leaps, obliqueRF, rrlda, evtree, penalizedLDA, rFerns, pROC,
        kohonen
License: GPL-2
Packaged: 2012-01-12 19:26:48 UTC; kuhna03
Repository: CRAN
Date/Publication: 2012-01-13 08:05:44

## caret 5.12-04

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: caret
-Version: 5.11-06
-Date: 2012-01-12
+Version: 5.12-04
+Date: 2012-01-14
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
 Description: Misc functions for training and plotting classification
         and regression models
 Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
-Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster, foreach
+Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster,foreach
 URL: http://caret.r-forge.r-project.org/
 Suggests: gbm, pls, mlbench, rpart, ellipse, ipred, klaR, randomForest,
         gpls, pamr, kernlab, mda, mgcv, nnet, class, MASS, mboost,
@@ -21,6 +21,6 @@
         leaps, obliqueRF, rrlda, evtree, penalizedLDA, rFerns, pROC,
         kohonen
 License: GPL-2
-Packaged: 2012-01-12 19:26:48 UTC; kuhna03
+Packaged: 2012-01-14 21:57:33 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2012-01-13 08:05:44
+Date/Publication: 2012-01-15 12:02:11

## caret 5.13-20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.12-04
-Date: 2012-01-14
+Version: 5.13-20
+Date: 2012-02-06
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -21,6 +21,6 @@
         leaps, obliqueRF, rrlda, evtree, penalizedLDA, rFerns, pROC,
         kohonen
 License: GPL-2
-Packaged: 2012-01-14 21:57:33 UTC; kuhna03
+Packaged: 2012-02-06 17:22:55 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2012-01-15 12:02:11
+Date/Publication: 2012-02-06 21:06:39

## caret 5.13-037

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.13-20
-Date: 2012-02-06
+Version: 5.13-037
+Date: 2012-02-16
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -19,8 +19,8 @@
         neuralnet, quantregForest, rda, HDclassif, LogicReg,
         LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst,
         leaps, obliqueRF, rrlda, evtree, penalizedLDA, rFerns, pROC,
-        kohonen
+        kohonen, RSNNS
 License: GPL-2
-Packaged: 2012-02-06 17:22:55 UTC; kuhna03
+Packaged: 2012-02-17 14:57:48 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2012-02-06 21:06:39
+Date/Publication: 2012-02-17 17:18:34

## caret 5.14-023

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.13-037
-Date: 2012-02-16
+Version: 5.14-023
+Date: 2012-02-22
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -19,8 +19,8 @@
         neuralnet, quantregForest, rda, HDclassif, LogicReg,
         LogicForest, logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst,
         leaps, obliqueRF, rrlda, evtree, penalizedLDA, rFerns, pROC,
-        kohonen, RSNNS
+        kohonen, RSNNS, RRF, KRLS
 License: GPL-2
-Packaged: 2012-02-17 14:57:48 UTC; kuhna03
+Packaged: 2012-02-22 19:27:37 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2012-02-17 17:18:34
+Date/Publication: 2012-02-23 17:22:26

## caret 5.15-023

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.14-023
-Date: 2012-02-22
+Version: 5.15-023
+Date: 2012-03-19
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -21,6 +21,6 @@
         leaps, obliqueRF, rrlda, evtree, penalizedLDA, rFerns, pROC,
         kohonen, RSNNS, RRF, KRLS
 License: GPL-2
-Packaged: 2012-02-22 19:27:37 UTC; kuhna03
+Packaged: 2012-03-19 23:34:55 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2012-02-23 17:22:26
+Date/Publication: 2012-03-20 05:52:51

## caret 5.15-044

=== DESCRIPTION ===
Package: caret
Version: 5.15-044
Date: 2012-10-02
Title: Classification and Regression Training
Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
        Williams, Chris Keefer and Allan Engelhardt
Description: Misc functions for training and plotting classification
        and regression models
Maintainer: Max Kuhn <Max.Kuhn@pfizer.com>
Depends: R (>= 2.10), lattice, reshape, stats, plyr, cluster,foreach
URL: http://caret.r-forge.r-project.org/
Suggests: gbm, pls, mlbench, rpart, ellipse, ipred, klaR, randomForest,
        gpls, pamr, kernlab, mda, mgcv, nnet, class, MASS, mboost,
        earth (>= 2.2-3), party (>= 0.9-99992), ada, affy, proxy,
        e1071, grid, elasticnet, SDDA, caTools, RWeka (>= 0.4-1),
        superpc, penalized, sparseLDA (>= 0.1-1), spls, sda, glmnet (>=
        1.8), relaxo, lars, vbmp, nodeHarvest, rrcov, gam, stepPlr,
        GAMens (>= 1.1.1), rocc, foba, partDSA, hda, fastICA,
        neuralnet, quantregForest, HDclassif, LogicReg, LogicForest,
        logicFS, RANN, qrnn, Boruta, Hmisc, Cubist, bst, leaps,
        obliqueRF, rrlda, evtree, penalizedLDA, rFerns, pROC, kohonen,
        RSNNS, RRF, KRLS, C50
License: GPL-2
Packaged: 2012-10-02 21:43:13 UTC; kuhna03
Repository: CRAN
Date/Publication: 2012-10-03 06:21:46

## caret 5.15-045

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: caret
-Version: 5.15-044
-Date: 2012-10-02
+Version: 5.15-045
+Date: 2012-11-26
 Title: Classification and Regression Training
 Author: Max Kuhn. Contributions from Jed Wing, Steve Weston, Andre
         Williams, Chris Keefer and Allan Engelhardt
@@ -21,6 +21,6 @@
         obliqueRF, rrlda, evtree, penalizedLDA, rFerns, pROC, kohonen,
         RSNNS, RRF, KRLS, C50
 License: GPL-2
-Packaged: 2012-10-02 21:43:13 UTC; kuhna03
+Packaged: 2012-11-26 21:25:11 UTC; kuhna03
 Repository: CRAN
-Date/Publication: 2012-10-03 06:21:46
+Date/Publication: 2012-11-27 06:56:33
